Kerbal Space Program - Bug #1614

Ridiculous orbits predicted for a moment when approaching an escape node
10/23/2013 01:21 AM - Cultist_O

Status: Closed Start date: 10/23/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.22 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Often, if you are approaching an escape node (from MAvan for example) the escape node will disappear about 30 seconds before
your craft actually reaches it (though you will still have a blue line extending from your craft to where it used to be)

At this point some unresonable Kerbin orbit will be predicted until you actually reach the escape node, after which the previously
predicted Kerbin orbit (the propper one) will be predicted again

History

#1 - 10/24/2013 05:52 AM - tageborg
| am seeing the same issue. Ubuntu Linux, 64bit Unity, 8G RAM.

#2 - 11/03/2013 01:13 PM - Kerolyov
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 11/10/2013 10:11 PM - triffid_hunter

| get this at EVERY Sol change.. crazy inverted orbits show for up to a minute before it works it out and displays a more reasonable one

#4 - 03/16/2014 07:53 AM - Lysius

Every time | leave the Sol of a moon or planet, 1-2 minutes before the change actually happens, a wrong orbit after the change (outside the Sol) is
plotted.

The actual point of escape vanishes, but instead the back-projected point of entering the Sol of the body appears on the map. This point is named
"escape" and has a time in the past. The rest of the correct escape trajectory is still drawn, but without the point of escape at the end. When the real
change of the Sol happens, everything reverts to normal.

This happens reliably if | load a quicksave from shortly before the bug appears.

Had this at least in 0.21.1, 0.22 and 0.23 on Linux (Fedora, 64 bit).

Here is a screenshots from before the bug appears:
http://i.imgur.com/mSelxXO.png

and after the bug appears:
http://i.imgur.com/A0Tyly9.png
http://i.imgur.com/N7XItID.png

#5 - 04/03/2014 12:51 PM - Lysius
still present in 0.23.5

#6 - 07/20/2014 07:59 AM - Lysius
still present in 0.24

#7 - 07/17/2016 09:25 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#8 - 08/07/2016 12:31 PM - TriggerAu

- Status changed from Needs Clarification to Closed
http://i.imgur.com/mSelxXO.png
http://i.imgur.com/A0Tyly9.png
http://i.imgur.com/N7XItID.png

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
